
import request from '@/utils/request'

// 新零售门票活动-列表
export function ticketList(params) {
  return request({
    url: '/activity/manage/ticket/list',
    method: 'get',
    params
  })
}
// 新零售门票活动-新增
export function ticketSave(data) {
  return request({
    url: '/activity/manage/ticket/save',
    method: 'post',
    data
  })
}
// 新零售门票活动-修改
export function ticketUpdate(data) {
  return request({
    url: '/activity/manage/ticket/update',
    method: 'post',
    data
  })
}
// 新零售门票活动-删除
export function delTicket(id) {
  return request({
    url: '/activity/manage/ticket/' + id,
    method: 'delete'
  })
}
// 获取单条门票活动
export function getOneTicket(id) {
  return request({
    url: '/activity/manage/ticket/getOne/' + id,
    method: 'get'
  })
}
// 会员消费赠送-查看
export function memberConsumeRule(params) {
  return request({
    url: '/activity/manage/member-consume-rule/detail',
    method: 'get',
    params
  })
}

// 自助购票-列表
export function ticketQuery(data) {
  return request({
    url: '/sale/manage/ticket/query?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}
